"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.contrast = void 0;
const _1 = require(".");
/**
 * Returns if the given hexadecimal CSS color value is 'dark' or 'light'
 * @param value string Hexadecimal CSS color value
 * @returns 'dark' | 'light'
 */
const contrast = (value) => {
    const [r, g, b] = (0, _1.toRGB)(value);
    const result = Math.round(((r * 299) + (g * 587) + (b * 114)) / 1000);
    return result <= 180 ? 'dark' : 'light';
};
exports.contrast = contrast;
exports.default = exports.contrast;
