"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expand = void 0;
/**
 * Converts 3-character RGB shorthand into 6-character RRGGBB CSS color
 * @param value string 3-character RGB shorthand CSS color value
 * @returns 6-character RRGGBB CSS color
 */
const expand = (value) => {
    return value
        .split('')
        .reduce((s, c) => s.concat([c, c]), [])
        .join('');
};
exports.expand = expand;
exports.default = exports.expand;
