"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isColor = void 0;
const _1 = require(".");
/**
 * Returns true if the given hexadecimal CSS color value is a valid 6-character RRGGBB CSS color or 3-character RGB shorthand
 * @param value string Hexadecimal CSS color value
 * @returns boolean
 */
const isColor = (value) => {
    if (value.charAt(0) === '#') {
        value = (0, _1.unhash)(value);
    }
    return /^([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/i.test(value);
};
exports.isColor = isColor;
exports.default = exports.isColor;
