/**
 * Hexadecimal values are base-16, so they are usually shorter than base-10 numbers.
 * To specify 0 to 255 in hex, you'd use 00 to ff, saving a byte for higher colors.
 * RGB triplets can be abbreviated if each of the Red, Green, and Blue hex pairs are the same.
 */
export declare const hexadecimalColor: {
    contrast: (value: string) => "dark" | "light";
    expand: (value: string) => string;
    unhash: (value: string) => string;
    toRGB: (value: string) => number[];
    fromRGB: (value: number[]) => string;
    isColor: (value: string) => boolean;
};
/**
 * Alias for hexadeciamlColor
 */
export declare const hexColor: {
    contrast: (value: string) => "dark" | "light";
    expand: (value: string) => string;
    unhash: (value: string) => string;
    toRGB: (value: string) => number[];
    fromRGB: (value: number[]) => string;
    isColor: (value: string) => boolean;
};
export default hexadecimalColor;
